
Core - Bug # 67362

Epic # 65314 (New): PHP7

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: DBAL
Created: 2015-06-09 Assigned To:
Updated: 2015-06-09 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: PHP Fatal error:  Cannot use 'Null' as class name
Description

PHP Fatal error:  Cannot use 'Null' as class name as it is reserved in
/home/opitz/projects/typo3-master/typo3-src/typo3/sysext/dbal/Classes/Database/Specifics/Null.php on line 22

Introduced in #67297 with review https://review.typo3.org/#/c/39954/

Related issues:
related to Core - Task # 67297: Move MySQL / DBMS field type translation into... Resolved 2015-06-04

Associated revisions
Revision 9295cc1f - 2015-06-09 16:26 - Andreas Fernandez

[BUGFIX] DBAL: Rename null specific

Rename the null specific for PHP 7 compliance.

Resolves: #67362
Related: #67297
Releases: master
Change-Id: I4fe56c5815f84a7e8db8abd3a4eddded4faf9044
Reviewed-on: http://review.typo3.org/40123
Reviewed-by: Mathias Brodala <mbrodala@pagemachine.de>
Tested-by: Mathias Brodala <mbrodala@pagemachine.de>
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Markus Klein <markus.klein@typo3.org>

History
#1 - 2015-06-09 11:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36335

#2 - 2015-06-09 11:35 - Gerrit Code Review
Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40123

#3 - 2015-06-09 11:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40123

#4 - 2015-06-09 14:17 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40123

#5 - 2015-06-09 16:30 - Andreas Fernandez
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9295cc1fe426680aa99b5f60abf1faee5d65935b.
